Bug 679126 - fedpkg chain-build puts package into separate group when shouldn't
Summary: fedpkg chain-build puts package into separate group when shouldn't
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-21 16:53 UTC by Adam Tkac
Modified: 2013-04-30 23:48 UTC (History)
5 users (show)

Fixed In Version: fedora-packager-0.5.7.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-10 03:14:08 UTC


Attachments (Terms of Use)

Description Adam Tkac 2011-02-21 16:53:51 UTC
Description of problem:
fedpkg chain-build puts package into separate group when shouldn't

I wanted to build following chain:
group 1: bind
followed by group 2: dhcp, bind-dyndb-ldap, dnsperf

so I typed this:

$ cd git-fedora/dhcp/
$ fedpkg chain-build bind : dnsperf bind-dyndb-ldap

This command created following koji task:
https://kojiweb.fedoraproject.org/koji/taskinfo?taskID=2854539

As you can see dhcp is put into separate group when shouldn't, the input line doesn't end with ':'.

Version-Release number of selected component (if applicable):
$ rpm -q fedpkg
fedpkg-0.5.5.0-2.fc16.noarch

How reproducible:
always (well, tested only with above chain)
  
Actual results:
dhcp isn't put into same group as dnsperf and bind-dyndb-ldap

Expected results:
dhcp in the same group

Let me know if you need more info.

Comment 1 Jesse Keating 2011-03-03 22:33:37 UTC
Huh, I'll have to dig into this code.

Comment 2 Jesse Keating 2011-03-04 02:51:58 UTC
Added code to handle build sets better.  Not the prettiest code.

Comment 3 Fedora Update System 2011-03-07 23:27:25 UTC
fedora-packager-0.5.7.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.7.0-1.fc13

Comment 4 Fedora Update System 2011-03-07 23:28:31 UTC
fedora-packager-0.5.7.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.7.0-1.fc14

Comment 5 Fedora Update System 2011-03-07 23:30:11 UTC
fedora-packager-0.5.7.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.7.0-1.fc15

Comment 6 Fedora Update System 2011-03-08 02:21:04 UTC
fedora-packager-0.5.7.0-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.7.0-1.fc15

Comment 7 Fedora Update System 2011-03-10 03:13:51 UTC
fedora-packager-0.5.7.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-03-22 18:49:36 UTC
fedora-packager-0.5.7.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-22 18:54:47 UTC
fedora-packager-0.5.7.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.